#include <stdio.h>
#include <stdlib.h>
#include <time.h>

#define DMAX 10000
 
int main(){ 
  int i,N;
  time_t t1;
  double x[DMAX],E;
  
  printf("N=");scanf("%d",&N);
  if ((N>DMAX)||(N<=0)){
    printf("!!! 0<N<=%d\n",DMAX);
    return 0;
  }
  
  time(&t1);
  srand48((long) t1); /* Intialisation du generateur de V.A. */
  
  /* Initialisation du tableau x */
  for (i=0;i<N;i++)
    x[i]=drand48();
  
  /* Calcul de la moyenne des elements de x */
  E=0;
  for (i=0;i<N;i++)
    E+=x[i];
  E=E/N;
  printf("La moyenne est de : %lf\n",E);
  return 1;
}